Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -4043,67 +3253,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<CostomerRegist> BuffList = new List<CostomerRegist>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOCostomerRegist.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        CostomerRegist CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.CreateDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);
-                        strSQL += string.Format(", {0}", CurRec.DataMode);
-                        strSQL += string.Format(", {0}", CurRec.SourceCotegory);
-                        strSQL += string.Format(", {0}", CurRec.SourceCode);
-                        strSQL += string.Format(", {0}", CurRec.PetitionPeriod);
-                        strSQL += string.Format(", {0}", CurRec.OrderFlg);
-                        strSQL += string.Format(", '{0}'", CurRec.CorporateStatusName);
-                        strSQL += string.Format(", {0}", CurRec.CorporateStatusPoint);
-                        strSQL += string.Format(", '{0}'", CurRec.OrderersName1);
-                        strSQL += string.Format(", '{0}'", CurRec.OrderersName2);
-                        strSQL += string.Format(", '{0}'", CurRec.DepartmentName);
-                        strSQL += string.Format(", '{0}'", CurRec.ChargePersonName);
-                        strSQL += string.Format(", '{0}'", CurRec.ZipCode);
-                        strSQL += string.Format(", '{0}'", CurRec.Address1);
-                        strSQL += string.Format(", '{0}'", CurRec.Address2);
-                        strSQL += string.Format(", '{0}'", CurRec.Address3);
-                        strSQL += string.Format(", '{0}'", CurRec.PhoneNumber);
-                        strSQL += string.Format(", '{0}'", CurRec.FaxNumber);
-                        strSQL += string.Format(", '{0}'", CurRec.MailAddress);
-                        strSQL += string.Format(", '{0}'", CurRec.Note);
-                        strSQL += string.Format(", {0}", CurRec.OrderCotegory);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4110,6 +3273,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4140,7 +3304,7 @@
         private bool CnvDailydataconstruction(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IODailyDataConstruction InDB = new ProcessManagement.OracleDB.IOAccess.IODailyDataConstruction();
-            ProcessManagement.MySQLDB.IOAccess.IODailyDataConstruction OutDB = new ProcessManagement.MySQLDB.IOAccess.IODailyDataConstruction();
+            ProcessManagement.DB.IOAccess.IODailyDataConstruction OutDB = new ProcessManagement.DB.IOAccess.IODailyDataConstruction();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4154,47 +3318,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DailyDataConstruction> BuffList = new List<DailyDataConstruction>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IODailyDataConstruction.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DailyDataConstruction CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.DailyDataDate.ToShortDateString());  // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(",'{0}'", CurRec.Weather);                        // 天気
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4201,6 +3338,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4231,7 +3369,7 @@
         private bool CnvDailydatadetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IODailyDataDetail InDB = new ProcessManagement.OracleDB.IOAccess.IODailyDataDetail();
-            ProcessManagement.MySQLDB.IOAccess.IODailyDataDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IODailyDataDetail();
+            ProcessManagement.DB.IOAccess.IODailyDataDetail OutDB = new ProcessManagement.DB.IOAccess.IODailyDataDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4245,54 +3383,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DailyDataDetail> BuffList = new List<DailyDataDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IODailyDataDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DailyDataDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.DailyDataDate.ToShortDateString());  // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                           // 明細行番号
-                        strSQL += string.Format(", {0}", CurRec.JobCategoryCode);                 // 職種キー
-                        strSQL += string.Format(", {0}", CurRec.CompanyCode);                     // 協力会社コード
-                        strSQL += string.Format(", {0}", CurRec.TodayHeadCount);                  // 当日人員数
-                        strSQL += string.Format(", {0}", CurRec.TotalHeadCount);                  // 累計人員数
-                        strSQL += string.Format(",'{0}'", CurRec.TodayWork);                      // 当日作業内容
-                        strSQL += string.Format(",'{0}'", CurRec.NextdayWork);                    // 翌日作業内容
-                        strSQL += string.Format(", {0}", CurRec.NextdayHeadCount);                // 翌日人員数
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4299,6 +3403,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4329,7 +3434,7 @@
         private bool CnvDailydatafield(int ino, ref string strMsg) 
         {
             ProcessManagement.OracleDB.IOAccess.IODailyDataField InDB = new ProcessManagement.OracleDB.IOAccess.IODailyDataField();
-            ProcessManagement.MySQLDB.IOAccess.IODailyDataField OutDB = new ProcessManagement.MySQLDB.IOAccess.IODailyDataField();
+            ProcessManagement.DB.IOAccess.IODailyDataField OutDB = new ProcessManagement.DB.IOAccess.IODailyDataField();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4343,51 +3448,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DailyDataField> BuffList = new List<DailyDataField>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IODailyDataField.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DailyDataField CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.DailyDataDate.ToShortDateString());  // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                           // 明細行番号
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
-                                                    , CurRec.PatrolTime.ToString());              // 巡回時間
-                        strSQL += string.Format(",'{0}'", CurRec.ContentsText);                   // 内容
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4394,6 +3468,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4424,7 +3499,7 @@
         private bool CnvDailydatamaterials(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IODailyDataMaterials InDB = new ProcessManagement.OracleDB.IOAccess.IODailyDataMaterials();
-            ProcessManagement.MySQLDB.IOAccess.IODailyDataMaterials OutDB = new ProcessManagement.MySQLDB.IOAccess.IODailyDataMaterials();
+            ProcessManagement.DB.IOAccess.IODailyDataMaterials OutDB = new ProcessManagement.DB.IOAccess.IODailyDataMaterials();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4438,52 +3513,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DailyDataMaterials> BuffList = new List<DailyDataMaterials>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IODailyDataMaterials.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DailyDataMaterials CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.DailyDataDate.ToShortDateString());  // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                           // 明細行番号
-                        strSQL += string.Format(",'{0}'", CurRec.Materials);                      // 資材名
-                        strSQL += string.Format(",'{0}'", CurRec.Quantity);                       // 数量
-                        strSQL += string.Format(",'{0}'", CurRec.Production);                     // 制作会社
-                        strSQL += string.Format(",'{0}'", CurRec.Delivery);                       // 納入業者
-                        strSQL += string.Format(",'{0}'", CurRec.QualityControl);                 // 品質管理事項
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4490,6 +3533,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4520,7 +3564,7 @@
         private bool CnvDailydatasubcontractors(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IODailyDataSubcontractors InDB = new ProcessManagement.OracleDB.IOAccess.IODailyDataSubcontractors();
-            ProcessManagement.MySQLDB.IOAccess.IODailyDataSubcontractors OutDB = new ProcessManagement.MySQLDB.IOAccess.IODailyDataSubcontractors();
+            ProcessManagement.DB.IOAccess.IODailyDataSubcontractors OutDB = new ProcessManagement.DB.IOAccess.IODailyDataSubcontractors();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4534,50 +3578,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DailyDataSubcontractors> BuffList = new List<DailyDataSubcontractors>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IODailyDataSubcontractors.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DailyDataSubcontractors CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.DailyDataDate.ToShortDateString());  // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                           // 明細行番号
-
-                        strSQL += string.Format(",'{0}'", CurRec.Attendee);                       // 出席者
-                        strSQL += string.Format(",'{0}'", CurRec.ContentsText);                       // 内容
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4584,6 +3598,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4614,7 +3629,7 @@
         private bool CnvDailydatavehicles(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IODailyDataVehicles InDB = new ProcessManagement.OracleDB.IOAccess.IODailyDataVehicles();
-            ProcessManagement.MySQLDB.IOAccess.IODailyDataVehicles OutDB = new ProcessManagement.MySQLDB.IOAccess.IODailyDataVehicles();
+            ProcessManagement.DB.IOAccess.IODailyDataVehicles OutDB = new ProcessManagement.DB.IOAccess.IODailyDataVehicles();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4628,55 +3643,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DailyDataVehicles> BuffList = new List<DailyDataVehicles>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IODailyDataVehicles.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DailyDataVehicles CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.DailyDataDate.ToShortDateString());  // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                           // 明細行番号
-                        strSQL += string.Format(",'{0}'", CurRec.Model);                          // 機種
-                        strSQL += string.Format(",'{0}'", CurRec.Performance);                    // 性能
-                        strSQL += string.Format(",'{0}'", CurRec.Owner);                          // 所有会社
-                        strSQL += string.Format(",'{0}'", CurRec.Driver);                         // 当日運転者
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
-                                                    , CurRec.StartWorkingTime.ToString());        // 作業時間開始
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
-                                                    , CurRec.EndWorkingTime.ToString());          // 作業時間終了
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4683,6 +3663,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4713,7 +3694,7 @@
         private bool CnvDepartmentexpensesmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMDepartmentExpenses InDB = new ProcessManagement.OracleDB.IOAccess.IOMDepartmentExpenses();
-            ProcessManagement.MySQLDB.IOAccess.IOMDepartmentExpenses OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMDepartmentExpenses();
+            ProcessManagement.DB.IOAccess.IOMDepartmentExpenses OutDB = new ProcessManagement.DB.IOAccess.IOMDepartmentExpenses();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4727,48 +3708,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DepartmentExpenses> BuffList = new List<DepartmentExpenses>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMDepartmentExpenses.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DepartmentExpenses CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.DepartmentCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ExpensesPeriod.ToString());
-                        strSQL += string.Format(", {0}", CurRec.NameCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ExpensesRatio.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
